# 32/64 psec
#
# Taken from pango spec
%define biarchs_32 %{ix86}
%define biarchs_64 x86_64
%define query_modules_suffix %{nil}
%ifarch %{biarchs_32}
%define query_modules_suffix -32
%endif
%ifarch %{biarchs_64}
%define query_modules_suffix -64
%endif
%define query_modules pango-querymodules%{query_modules_suffix}

# for python modules
%define _disable_ld_no_undefined 1

%define name    lilypond
%define version 2.19.14
%define release %mkrel 2

Name:           %{name}
Version:        %{version}
Release:        %{release}
Summary:        Program for printing sheet music
License:        GPL
Group:          Publishing
URL:            http://www.lilypond.org/
Source0:        http://download.linuxaudio.org/lilypond/sources/v2.17/%{name}-%{version}.tar.xz

Requires(post):   rpm-helper
Requires(preun):  rpm-helper
Requires(post):   findutils
Requires(post):   texlive
Requires(postun): texlive
#================== build Lilypond
BuildRequires:  bison
BuildRequires:  dblatex
BuildRequires:  flex
# Fontforge must be compiled with ‘--enable-double’
BuildRequires:  fontforge >= 1.0-0.20110222
BuildRequires:  gettext
BuildRequires:  %{_lib}guile1.8-devel
BuildRequires:  %{_lib}fontconfig-devel
BuildRequires:  %{_lib}freetype6-devel
BuildRequires:  %{_lib}pango1.0-devel
BuildRequires:  %{_lib}python-devel
BuildRequires:  perl
BuildRequires:  t1utils
BuildRequires:  texi2html >= 1.82
BuildRequires:  texinfo
# texlive provides mf-nowin and mpost (MetaFont and MetaPost)
BuildRequires:  texlive
BuildRequires:  netpbm
#================== run Lilypond
Requires: fonts-ttf-dejavu
Requires: fontconfig
Requires: %{_lib}freetype6
Requires: ghostscript
Requires: guile1.8
Requires: %{_lib}pango1.0_0
Requires: python
#==================
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-buildroot 


%description
LilyPond is a music typesetter.  It produces beautiful sheet music using a
high level description file as input.  LilyPond is part of the GNU project.

%prep
%setup -q

%build


# --with-ncsb-dir=DIR     location of Century Schoolbook fonts.
# --enable-debugging      compile with debugging info. Default: on

%{configure} 					\
    --with-ncsb-dir=%{_datadir}/fonts/default/Type1	\
    --disable-debugging

%{make} all

%install
%{__rm} -rf %{buildroot}

%{makeinstall}

# create link from lilypond.info.bz2 lilypond-learning.info.bz2
%{__ln_s} /usr/share/info/lilypond-learning.info.bz2 %{buildroot}%{_infodir}/lilypond.info.bz2 

# move emacs file to our location
%{__install} -D -m 644 elisp/lilypond-init.el %{buildroot}%{_sysconfdir}/emacs/site-start.d/lilypond-init.el

# move vim stuff to our location
%{__mv} %{buildroot}%{_datadir}/lilypond/%{version}/vim %{buildroot}%{_datadir}/vim

# some more house cleaning
%{_bindir}/find %{buildroot} -path '*%{_datadir}/lilypond/%{version}/fonts' -prune -type f -o -name 'fonts.cache-1' -print0 | %{_bindir}/xargs -r -0 %{__rm}
%{_bindir}/find %{buildroot}%{_docdir} -name '*.png' -empty -print0 | %{_bindir}/xargs -r -0 %{__rm}
%{_bindir}/find %{buildroot}%{_datadir}/lilypond/%{version} -xtype l -print0 | %{_bindir}/xargs -r -0 %{__rm}

# Create symlinks to lilypond folder under TeX directory, so that TeX can
# use lilypond files natively, courtesy of Michael Brown's great hacks
# Necessary for tex backend to work, since startup profile is gone -- Abel

%{__mkdir_p} %{buildroot}%{_datadir}/texmf/dvips	\
    %{buildroot}%{_datadir}/texmf/tex			\
    %{buildroot}%{_datadir}/texmf/fonts/source		\
    %{buildroot}%{_datadir}/texmf/fonts/tfm		\
    %{buildroot}%{_datadir}/lilypond/%{version}/fonts/type1

pushd %{buildroot}%{_datadir}/texmf > /dev/null
    %{__ln_s} ../../lilypond/%{version}/ps dvips/lilypond
    %{__ln_s} ../../lilypond/%{version}/tex tex/lilypond
    %{__ln_s} ../../../lilypond/%{version}/fonts/source fonts/source/lilypond
    %{__ln_s} ../../../lilypond/%{version}/fonts/tfm fonts/tfm/lilypond
popd > /dev/null

%{find_lang} %{name}

mkdir -p %{buildroot}%_sysconfdir/X11/fontpath.d/
%{__ln_s} ../../..%_datadir/lilypond/%{version}/fonts/type1 \
    %{buildroot}%_sysconfdir/X11/fontpath.d/lilypond:pri=50

%clean
%{__rm} -rf %{buildroot}

%post
%_install_info *.info*
%{_bindir}/find /var/lib/texmf \( -name 'feta*.pk' -or -name 'feta*.tfm' -or -name 'parmesan*.pk' -or -name 'parmesan*.tfm' \) -print0 | %{_bindir}/xargs -r -0 %{__rm} -f

%{_bindir}/mkfontdir %{_datadir}/lilypond/%{version}/fonts/type1

%preun
%_remove_install_info *.info*
%{__rm} -f %{_datadir}/lilypond/%{version}/fonts/type1/fonts.dir


%files -f %{name}.lang
%defattr(-, root, root)
%doc COPYING README.txt DEDICATION NEWS.txt AUTHORS.txt
%{_bindir}/*
%{_datadir}/emacs/site-lisp/lilypond*
%{_datadir}/%{name}/%{version}/*
%{_datadir}/texmf/dvips/lilypond
%{_datadir}/texmf/fonts/source/lilypond
%{_datadir}/texmf/fonts/tfm/lilypond
%{_datadir}/texmf/tex/lilypond
%{_datadir}/vim/*/*
%{_libdir}/%{name}/%{version}/python/*.so
%{_mandir}/man?/*
%{_infodir}/*.info*
%config(noreplace) %{_sysconfdir}/emacs/site-start.d/*
%{_sysconfdir}/X11/fontpath.d/lilypond:pri=50

%changelog
* Thu Oct 22 2015 bb <bb> 2.19.14-2pclos2015
- rebuild
- adjust specfile for guile1.8 package rename

* Thu Sep 25 2014 gseaman <galen.seaman at comcast.net> 2.19.14-1gseaman2014
- 2.19.14

* Tue Mar 11 2014 bb <bb> 2.19.3-1pclos2014
- update

* Sat Sep 14 2013 pinoc <vogtpet at gmail.com> 2.17.26-1pclos2013
- 2.17.26

* Mon May 21 2012 Neal <nealbrks0 at gmail dot com> 2.14.2-2pclos2012
- process

* Mon May 21 2012 Galen Seaman <gseaman@clear.net> 2.14.2-1pclos2012
- 2.14.2

* Sun Nov 15 2009 Galen Seaman <gseaman2186@comcast.net> 2.13.6-1pclos2010
- update for PCLinuxOS
